# `BB.Dsl`
[🔗](https://github.com/beam-bots/bb/blob/main/lib/bb/dsl.ex#L5)

The DSL extension for describing robot properties and topologies.

# `commands`
*macro* 

# `controllers`
*macro* 

# `parameters`
*macro* 

# `sensors`
*macro* 

# `settings`
*macro* 

# `states`
*macro* 

# `topology`
*macro* 

---

*Consult [api-reference.md](api-reference.md) for complete listing*
